This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 395971 - SELinux is preventing /usr/sbin/groupadd (groupadd_t) "write" to /dev/null (var_lib_t). durring mock build
SELinux is preventing /usr/sbin/groupadd (groupadd_t) "write" to /dev/null (v...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 12:56 EST by Russell Harrison
Modified: 2013-01-09 20:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 15:20:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setroubleshoot alert groupadd output (2.30 KB, text/plain)
2007-11-22 12:56 EST, Russell Harrison
no flags Details

  None (edit)
Description Russell Harrison 2007-11-22 12:56:05 EST
I see several selinux alert messages during a mock build.

I'm attaching the alert file from setroubleshoot
Comment 1 Russell Harrison 2007-11-22 12:56:05 EST
Created attachment 267161 [details]
setroubleshoot alert groupadd output
Comment 2 Michael E Brown 2007-11-22 13:34:13 EST
This should be against selinux-policy, not mock.
Comment 3 Michael E Brown 2007-11-22 13:35:46 EST
As an aside, this doesnt prevent mock from functioning, it simply produces log
messages.
Comment 4 Michael E Brown 2007-11-26 15:20:57 EST
I have fixed this in mock by doing a "chcon
--reference=/dev/FILE  /mock/build/root/dev/FILE". 

This specific bug I am going to mark as FIXED - NEXTRELEASE. I dont intend to
make another release for a few weeks, at least. If you would like to check out
the fixed version, please look in the git repository for mock.

Note You need to log in before you can comment on or make changes to this bug.